# class Matrix3

#### package lime.math

Available on all platforms

### Constructor

###

`new (a:Float = 1, b:Float = 0, c:Float = 0, d:Float = 1, tx:Float = 0, ty:Float = 0)`

### Variables

###

`a:Float`

###

`b:Float`

###

`c:Float`

###

`d:Float`

###

`tx:Float`

###

`ty:Float`

### Methods

###

`inline __transformX (pos:Vector2):Float`

###

`inline __transformY (pos:Vector2):Float`

###

`inline __translateTransformed (pos:Vector2):Void`

###

`inline clone ():Matrix3`

###

`concat (m:Matrix3):Void`

###

`copyColumnFrom (column:Int, vector4:Vector4):Void`

###

`copyColumnTo (column:Int, vector4:Vector4):Void`

###

`copyFrom (sourceMatrix3:Matrix3):Void`

###

`copyRowFrom (row:Int, vector4:Vector4):Void`

###

`copyRowTo (row:Int, vector4:Vector4):Void`

###

`createBox (scaleX:Float, scaleY:Float, rotation:Float = 0, tx:Float = 0, ty:Float = 0):Void`

###

`createGradientBox (width:Float, height:Float, rotation:Float = 0, tx:Float = 0, ty:Float = 0):Void`

###

`deltaTransformVector2 (Vector2:Vector2):Vector2`

###

`equals (Matrix3:{ty:Float, tx:Float, d:Float, c:Float, b:Float, a:Float}):Bool`

###

`identity ():Void`

###

`invert ():Matrix3`

###

`inline mult (m:Matrix3):Matrix3`

###

`rotate (theta:Float):Void`

###

`scale (sx:Float, sy:Float):Void`

###

`setTo (a:Float, b:Float, c:Float, d:Float, tx:Float, ty:Float):Void`

###

`inline to3DString (roundPixels:Bool = false):String`

###

`inline toMozString ():String`

###

`inline toString ():String`

###

`transformVector2 (pos:Vector2):Vector2`

###

`inline translate (dx:Float, dy:Float):Void`